# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2016-08-18 20:26
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MenuCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('order', models.IntegerField(default=0, help_text='The order is the order that this category should appear when rendered in the menu.')),
            ],
            options={
                'ordering': ['order', 'name'],
                'verbose_name': 'Menu Category',
                'verbose_name_plural': 'Menu Categories',
            },
        ),
        migrations.CreateModel(
            name='MenuItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=48)),
                ('description', models.CharField(blank=True, max_length=128, null=True)),
                ('order', models.IntegerField(default=0, help_text='Specify the order this appears in the menu.')),
                ('image', models.ImageField(blank=True, null=True, upload_to='menu')),
                ('category', models.ManyToManyField(to='menu.MenuCategory')),
            ],
            options={
                'verbose_name': 'Menu Item',
                'verbose_name_plural': 'Menu Items',
            },
        ),
    ]
